# Uses of Class
org.eclipse.emf.cdo.etypes.util.EtypesSwitch

Packages that use EtypesSwitch
Package
Description
org.eclipse.emf.cdo.etypes.provider.annotation
Provides a base class for supporting the specialization of `AnnotationItemProvider` and `StringToStringMapEntryItemProvider`.
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.

## Uses of EtypesSwitch in org.eclipse.emf.cdo.etypes.provider.annotation

Fields in org.eclipse.emf.cdo.etypes.provider.annotation declared as EtypesSwitch
Modifier and Type
Field
Description
`protected final EtypesSwitch<Adapter>`
AnnotationItemProviderAdapterFactory.`modelSwitch`
The switch that delegates to `AnnotationItemProviderAdapterFactory.createAnnotationAdapter()` or `AnnotationItemProviderAdapterFactory.createStringToStringMapEntryAdapter()` as appropriate.

## Uses of EtypesSwitch in org.eclipse.emf.cdo.etypes.util

Fields in org.eclipse.emf.cdo.etypes.util declared as EtypesSwitch
Modifier and Type
Field
Description
`protected EtypesSwitch<Adapter>`
EtypesAdapterFactory.`modelSwitch`
The switch that delegates to the `createXXX` methods.